Bug 121688 - Not finding home directory
Not finding home directory
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 16:37 EDT by andrew ducore
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-18 23:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andrew ducore 2004-04-25 16:37:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/85.7 
(KHTML, like Gecko) Safari/85.7

Description of problem:
When I attempt to log in as any user other than root, I get a dialog that states that my 
home directory is listed as /home/test (which is correct), but that the directory is not 
there (which is incorrect). The directory /home/test exists, and is owned by the test 
user. I was getting a similar problem when trying to log in on a TTY, but it went away 
and I have not been able to reproduce it there.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new user named <user-name> using /usr/bin/system-config-users
2. Log out
3. Attempt to log in as <user-name>

Actual Results:  (used "test2" as <user-name>)

After entering the username and password, a dialog box appeared which said:
Your home directory is listed as:
but it does not appear to exist. Do you want to log in with the /
(root) directory as your home directory?

It is unlikely anything will work unless you use a failsafe

       <NO> <YES>

Expected Results:  The user should have been logged into a gnome-session.

Additional info:
Comment 1 Mark McLoughlin 2004-06-04 07:49:14 EDT
Is this still happening with Fedora Core 2 final ?
Comment 2 andrew ducore 2004-06-04 09:53:27 EDT
No, it appears to have been fixed. Thanks!
Comment 3 Chun-lin Wang 2004-07-14 12:40:11 EDT
Yes!! it still exists.
After I upgrade from Fedora core 1 to core 2,
the bug still exists.

How should I do next solve the problem?
Comment 4 Ray Strode [halfline] 2004-07-14 13:15:09 EDT
Is /home a local partition or being served over a network?  Are you by
any chance using an auto mounter like autofs?
Comment 5 Warren Togami 2004-09-18 23:43:08 EDT
Closing due to inactivity and lack of response.

Note You need to log in before you can comment on or make changes to this bug.